# -*- encoding : utf-8 -*-
class CreateSurveyItems < ActiveRecord::Migration
  def change
    create_table :survey_items do |t|
      t.integer :item_type
      t.text :title
      t.text :description
      t.text :help
      t.integer :questions_type
      t.integer :display_type
      t.references :survey_type
      t.integer :string_type
      t.boolean :locked
      t.boolean :archived
      t.integer :text_presentation
      t.integer :max_checkboxes

      t.timestamps
    end
    add_index :survey_items, :survey_type_id
  end
end
